This week's book giveaway is in the Java in General forum.
We're giving away four copies of Java by Comparison (eBook) and have Simon Harrer, Jörg Lenhard, Linus Dietz on-line!
See this thread for details.
Win a copy of Java by Comparison (eBook) this week in the Java in General forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic

Personal Profile IDE  RSS feed

 
Greenhorn
Posts: 17
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Am I correct in assuming that I could use any Java IDE to develop Personal Profile applications, provided I use the Java 1.3.1 API/SDK ? I am using the following information to arrive at this conclusion:

"With respect to APIs in the java.* packages, it is a subset of the Java 2 Platform, Standard Edition (J2SE), version 1.3.1. Applications written to these APIs in Personal Profile 1.0 are therefore upward-compatible to J2SE 1.3.1."
 
author
Ranch Hand
Posts: 1427
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
In theory, yes, you can use a J2SE IDE to developer PP apps. However, since PP is only a subset of J2SE, the IDE would not alert you when you use APIs beyond the PP boundary. You will only find out when you deploy. Some IDEs support PP development. Most noticeable are IBM WebSphere Device Developer and CodeWarrior Wireless Studio.
 
Anderson gave himself the promotion. So I gave myself this tiny ad:
Thread Boost - a very different sort of advertising
https://coderanch.com/t/674455/Thread-Boost-feature
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!